'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _readline = require('readline');

var _readline2 = _interopRequireDefault(_readline);

var _Bot2 = require('./Bot');

var _Bot3 = _interopRequireDefault(_Bot2);

var _ConsoleConnector = require('./ConsoleConnector');

var _ConsoleConnector2 = _interopRequireDefault(_ConsoleConnector);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ConsoleBot = function (_Bot) {
  (0, _inherits3.default)(ConsoleBot, _Bot);

  function ConsoleBot() {
    var _ref = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {},
        sessionStore = _ref.sessionStore;

    (0, _classCallCheck3.default)(this, ConsoleBot);

    var connector = new _ConsoleConnector2.default();
    return (0, _possibleConstructorReturn3.default)(this, (ConsoleBot.__proto__ || Object.getPrototypeOf(ConsoleBot)).call(this, { connector: connector, sessionStore: sessionStore }));
  }

  (0, _createClass3.default)(ConsoleBot, [{
    key: 'createRuntime',
    value: function createRuntime() {
      var _this2 = this;

      var requestHandler = this.createRequestHandler();
      var rl = _readline2.default.createInterface({
        input: process.stdin,
        output: process.stdout
      });

      process.stdout.write('You > ');

      rl.on('line', function () {
        var _ref2 = (0, _asyncToGenerator3.default)(_regenerator2.default.mark(function _callee() {
          var line = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
          return _regenerator2.default.wrap(function _callee$(_context) {
            while (1) {
              switch (_context.prev = _context.next) {
                case 0:
                  if (line.toLowerCase() === '/quit') {
                    rl.close();
                    process.exit();
                  }

                  requestHandler({
                    message: {
                      text: line
                    }
                  });

                case 2:
                case 'end':
                  return _context.stop();
              }
            }
          }, _callee, _this2);
        }));

        return function () {
          return _ref2.apply(this, arguments);
        };
      }());
    }
  }]);
  return ConsoleBot;
}(_Bot3.default);

exports.default = ConsoleBot;