'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.print = print;
exports.error = error;
exports.bold = bold;

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function print(msg) {
  console.log(_chalk2.default.green(msg));
}
/* eslint-disable no-console */
function error(msg) {
  console.log(_chalk2.default.red(msg));
}

function bold(msg) {
  return _chalk2.default.bold(msg);
}