'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.toAbsolutePath = toAbsolutePath;

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function toAbsolutePath(relativeOrAbsolutePath) {
  if (_path2.default.isAbsolute(relativeOrAbsolutePath) || relativeOrAbsolutePath.startsWith('~')) {
    return relativeOrAbsolutePath;
  }
  return _path2.default.join(process.cwd(), relativeOrAbsolutePath);
}