'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var verifySlackWebhook = function verifySlackWebhook() {
  return function (_ref, next) {
    var request = _ref.request,
        response = _ref.response;

    if (request.body.type === 'url_verification') {
      response.body = request.body.challenge;
    } else {
      return next();
    }
  };
};

exports.default = verifySlackWebhook;