'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var verifyMessengerWebhook = function verifyMessengerWebhook(_ref) {
  var verifyToken = _ref.verifyToken;
  return function (req, res, next) {
    if (req.query['hub.mode'] === 'subscribe' && req.query['hub.verify_token'] === verifyToken) {
      res.end(req.query['hub.challenge']);
    } else {
      console.error('Failed validation. Make sure the validation tokens match.');
      res.send(403);
    }
    return next();
  };
};

exports.default = verifyMessengerWebhook;