'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _ConsoleContext = require('../context/ConsoleContext');

var _ConsoleContext2 = _interopRequireDefault(_ConsoleContext);

var _ConsoleEvent = require('../context/ConsoleEvent');

var _ConsoleEvent2 = _interopRequireDefault(_ConsoleEvent);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/*
  eslint-disable class-methods-use-this
  
*/
var ConsoleConnector = function () {
  function ConsoleConnector() {
    (0, _classCallCheck3.default)(this, ConsoleConnector);
    this._client = {
      sendText: function sendText(text) {
        process.stdout.write('Bot > ' + text + '\nYou > ');
      }
    };
  }

  (0, _createClass3.default)(ConsoleConnector, [{
    key: 'getUniqueSessionIdFromRequest',
    value: function getUniqueSessionIdFromRequest() {
      return '1';
    }
  }, {
    key: 'updateSession',
    value: function () {
      var _ref = (0, _asyncToGenerator3.default)(_regenerator2.default.mark(function _callee(session) {
        return _regenerator2.default.wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                if (!session.user) {
                  session.user = {
                    id: '1',
                    platform: 'console',
                    name: 'you'
                  };
                }

              case 1:
              case 'end':
                return _context.stop();
            }
          }
        }, _callee, this);
      }));

      function updateSession(_x) {
        return _ref.apply(this, arguments);
      }

      return updateSession;
    }()
  }, {
    key: 'mapRequestToEvents',
    value: function mapRequestToEvents(body) {
      return [new _ConsoleEvent2.default(body)];
    }
  }, {
    key: 'createContext',
    value: function createContext(_ref2) {
      var event = _ref2.event,
          session = _ref2.session;

      return new _ConsoleContext2.default({
        client: this._client,
        event: event,
        session: session
      });
    }
  }, {
    key: 'platform',
    get: function get() {
      return 'console';
    }
  }, {
    key: 'client',
    get: function get() {
      return this._client;
    }
  }]);
  return ConsoleConnector;
}();

exports.default = ConsoleConnector;