'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _Bot2 = require('./Bot');

var _Bot3 = _interopRequireDefault(_Bot2);

var _LINEConnector = require('./LINEConnector');

var _LINEConnector2 = _interopRequireDefault(_LINEConnector);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var LINEBot = function (_Bot) {
  (0, _inherits3.default)(LINEBot, _Bot);

  function LINEBot(_ref) {
    var accessToken = _ref.accessToken,
        channelSecret = _ref.channelSecret,
        sessionStore = _ref.sessionStore;
    (0, _classCallCheck3.default)(this, LINEBot);

    var connector = new _LINEConnector2.default({ accessToken: accessToken, channelSecret: channelSecret });
    return (0, _possibleConstructorReturn3.default)(this, (LINEBot.__proto__ || Object.getPrototypeOf(LINEBot)).call(this, { connector: connector, sessionStore: sessionStore }));
  }

  return LINEBot;
}(_Bot3.default);

exports.default = LINEBot;