'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _koaCompose = require('koa-compose');

var _koaCompose2 = _interopRequireDefault(_koaCompose);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var MiddlewareHandlerBuilder = function () {
  function MiddlewareHandlerBuilder() {
    (0, _classCallCheck3.default)(this, MiddlewareHandlerBuilder);
    this._middleware = [];
  }

  (0, _createClass3.default)(MiddlewareHandlerBuilder, [{
    key: 'use',
    value: function use(middleware) {
      this._middleware.push(middleware);
      return this;
    }
  }, {
    key: 'build',
    value: function build() {
      return (0, _koaCompose2.default)(this._middleware);
    }
  }]);
  return MiddlewareHandlerBuilder;
}();

exports.default = MiddlewareHandlerBuilder;