'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _Bot2 = require('./Bot');

var _Bot3 = _interopRequireDefault(_Bot2);

var _TelegramConnector = require('./TelegramConnector');

var _TelegramConnector2 = _interopRequireDefault(_TelegramConnector);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var TelegramBot = function (_Bot) {
  (0, _inherits3.default)(TelegramBot, _Bot);

  function TelegramBot(_ref) {
    var accessToken = _ref.accessToken,
        sessionStore = _ref.sessionStore;
    (0, _classCallCheck3.default)(this, TelegramBot);

    var connector = new _TelegramConnector2.default({ accessToken: accessToken });
    return (0, _possibleConstructorReturn3.default)(this, (TelegramBot.__proto__ || Object.getPrototypeOf(TelegramBot)).call(this, { connector: connector, sessionStore: sessionStore }));
  }

  return TelegramBot;
}(_Bot3.default);

exports.default = TelegramBot;