'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _invariant = require('invariant');

var _invariant2 = _interopRequireDefault(_invariant);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ngrok = void 0;

/* eslint-disable global-require, no-empty, import/no-extraneous-dependencies */
try {
  ngrok = require('ngrok');
} catch (err) {}
/* eslint-enable */

var connectNgrok = function connectNgrok(port, ngrokHandler) {
  (0, _invariant2.default)(ngrok, 'You must install `ngrok` npm package using `npm install ngrok` or `yarn add ngrok` to connect ngrok.');

  if (typeof port === 'number') {
    ngrok.connect(port, ngrokHandler);
  } else {
    ngrok.connect(ngrokHandler);
  }
};

exports.default = connectNgrok;