'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ConsoleEvent = function () {
  function ConsoleEvent(rawEvent) {
    (0, _classCallCheck3.default)(this, ConsoleEvent);

    this._rawEvent = rawEvent;
  }

  /**
   * Underlying raw event from Console.
   *
   */


  (0, _createClass3.default)(ConsoleEvent, [{
    key: 'rawEvent',
    get: function get() {
      return this._rawEvent;
    }

    /**
     * Determine if the event is a message event.
     *
     */

  }, {
    key: 'isMessage',
    get: function get() {
      return true;
    }

    /**
     * The message object from Console raw event.
     *
     */

  }, {
    key: 'message',
    get: function get() {
      return this._rawEvent.message;
    }

    /**
     * Determine if the event is a message event which includes text.
     *
     */

  }, {
    key: 'isTextMessage',
    get: function get() {
      return true;
    }
  }]);
  return ConsoleEvent;
}();

exports.default = ConsoleEvent;