'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var verifyMessengerWebhook = function verifyMessengerWebhook(_ref) {
  var verifyToken = _ref.verifyToken;
  return function (_ref2) {
    var request = _ref2.request,
        response = _ref2.response;

    if (request.query['hub.mode'] === 'subscribe' && request.query['hub.verify_token'] === verifyToken) {
      response.body = request.query['hub.challenge'];
    } else {
      console.error('Failed validation. Make sure the validation tokens match.');
      response.status = 403;
    }
  };
};

exports.default = verifyMessengerWebhook;